/*
This file is part of socklib, a cross-platform socket library.

Copyright (c) 2004 John Tsiombikas <nuclear@siggraph.org>

This library is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _SOCKLIB_H_
#define _SOCKLIB_H_


#define SL_CHK_BLOCK	0
#define SL_CHK_IMMED	1
#define SL_CHK_READ		2
#define SL_CHK_WRITE	4


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

int sl_listen(int port);
int sl_accept(int listening_socket);
int sl_connect_tcp(char *ipaddr, const char *hostname, int port);
void sl_close_socket(int s);
int sl_send_data(int s, const char *buffer, int size);
int sl_recv_data(int s, char *buffer, int size);
int sl_check_socket(int s, int flags, unsigned int timeout);
void sl_set_verbosity(int vlevel);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* _SOCKLIB_H_ */
